/* !Modifiers: Lex Lexter <hi@leximo.cz> */

/*
  - column
  ***
*/

.--col-1 {
  width: 100%;
}
.--col-2 {
  width: 50%;
}
.--col-3 {
  width: 33.33%;
}
.--col-4 {
  width: 25%;
}
.--col-5 {
  width: 20%;
}
.--col-6 {
  width: 16.66%;
}
.--col-7 {
  width: 14.28%;
}
.--col-8 {
  width: 12.5%;
}
.--col-9 {
  width: 11.11%;
}
.--col-10 {
  width: 10%;
}

/*
  Font weight
  ---
*/

.--fw-100 {
  font-weight: 100;
}
.--fw-200 {
  font-weight: 200;
}
.--fw-300 {
  font-weight: 300;
}
.--fw-400 {
  font-weight: 400;
}
.--fw-500 {
  font-weight: 500;
}
.--fw-600 {
  font-weight: 600;
}
.--fw-700 {
  font-weight: 700;
}
.--fw-800 {
  font-weight: 800;
}
.--fw-900 {
  font-weight: 900;
}

/*
  Text align
  ***
*/

.--ta-left {
  text-align: left;
}
.--ta-right {
  text-align: right;
}
.--ta-center {
  text-align: center;
}
.--ta-justify {
  text-align: justify;
}

/*
  - hide
  ***
*/

.--hide {
  display: none !important
}

/*
  - js
  ***
*/

.--js-true .--js-hide {
  display: none !important;
}
.--js-true .--js-show {
  display: block !important;
}

/*
  - unscrollable
  ***
*/

.--unscrollable {
  overflow: hidden;
}